package fer.hr.preprocessing.histogram;

import java.awt.image.BufferedImage;

/**
 * Created by jcular on 5/12/16.
 */
public class ScaledHistogramDecorator extends AbstractHistogramDecorator implements IHistogram {

    private IHistogram histogram;
    private TYPE type;


    public ScaledHistogramDecorator(IHistogram histogram, TYPE type) {
        this.histogram = histogram;
        this.type = type;
    }

    @Override
    public double[] calculateHistogram(BufferedImage image) {
        double[] values = histogram.calculateHistogram(image);

        if (type == TYPE.HEIGHT) {
            return scaleOverHeight(image.getHeight(), values);
        }
        else
            return scaleOverWdith(image.getWidth(), values);
    }
}
